function pca_demo()
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

    % Tohle nacte CSV data do Matlabi tabulky.
    % Prvni sloupec v .csv jsou nazvy statu USA, proto 'ReadRowNames'
    usatbl = readtable('islr_usaarrests.csv','ReadRowNames',true);
    usatbl
    % Potrebujeme tabulku ciste ciselnych hodnot, protoze i kdyz
    % statisticky toolbox se tvasri, ze umi pracovat s tabulkami,
    % zrejme s nimi umi pracovat jenom regresni funkce.
    data = table2array(usatbl);
    % Jenze ta data jsou nesouroda ...
    mean(data)
    var(data)
    % ... takze je potebujeme sjednotit tak, aby stredni hodnota
    % i rozptyl byly 0 a 1
    % prcomp() v R tohle dela sam, viz ISLR priklad
    zdata = zscore(data);
    % A ted muzeme udelat PCA
    % Vlnovka ignoruje vystup
    [coeffs,scores,latent,~,varexpl,muest] = pca(zdata);
    % V ISLR je ted pr.out$center a pr.out$scale, ale to je prumer a
    % standardni ochylka dat, cili
    mean(data)
    sqrt(var(data))
    % Koeficienty odpovidaji pr.out$rotation az na znamenko, ale to je v
    % pripade PCA jedno
    -coeffs
    % Biplot prvnich dvou PCA koeficientu
    % Je to to same, jako na obrazku 10.3 v knize
    biplot(coeffs(:,[1,2]),'Scores',scores(:,[1,2]), ...
        'VarLabels',usatbl.Properties.VariableNames);
    % Standardni ochylka vsech PCA komponent, pr.out$sdev
    sqrt(latent)
    % A variance
    latent
    % Vysvetlena variance je v R mezi 0 a 1, ze je to rovnou v procentech
    varexpl
    % Vykresleni variance
    figure(10);
    plot(varexpl,'-o');
    figure(11);
    plot(cumsum(varexpl),'-o');
    ylim([0 100]);
end

